System 2.0.0.0 4.0.0.0 System.Enum System.Flags

Many of these access permissions pose potential security and privacy threats. Great care should be taken in granting access to stores. A brief description of the type of threat exposed by an access can be found in the summary for the access.

Specifies the permitted access to X.509 certificate stores.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  For security reasons, this ability should be granted only to highly trusted code.

  The ability to add a certificate to a store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  The ability to perform all certificate and store operations.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  New stores are created by calling the method.

  The ability to create a new store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  This functionality is not exposed by the class.

  The ability to delete a store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  For privacy reasons, this ability should be granted only to fully trusted code.

  The ability to enumerate the certificates in a store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  This functionality is not exposed by the class.

  The ability to enumerate the stores on a computer.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  Permission is not given to perform any certificate or store operations.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  The ability to open a store does not include the ability to enumerate certificates (which raises privacy concerns) or to add or remove certificates (which raises security concerns).

  The ability to open a store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StorePermissionFlags

  This ability should be granted only to highly trusted code because removing a certificate can result in a denial of service.

  The ability to remove a certificate from a store.